Bug 1386 - [patch] pdbedit lost password from stdin feature
[patch] pdbedit lost password from stdin feature
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: User/Group Accounts
3.0.4
Other All
: P3 normal
: none
Assigned To: Lars Müller
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-26 11:24 UTC by Lars Müller
Modified: 2006-02-16 10:31 UTC (History)
0 users

See Also:


Attachments
Readd -t|--password-from-stdin option to pdbedit of Samba 3.0 (4.65 KB, patch)
2004-05-26 11:27 UTC, Lars Müller
no flags Details
Same patch for 3.0.6. (4.87 KB, patch)
2004-08-24 02:39 UTC, Lars Müller
no flags Details
Same patch for 3.0.11rc1 (4.95 KB, patch)
2005-01-30 06:18 UTC, Lars Müller
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Müller 2004-05-26 11:24:09 UTC
In Samba 2.2 we had the option -b to get a password from standard in.  As -b
conflicts with the -b option from the 3.0 pdbedit we decided to move this option
to -t.

The option -t is not available in the 3.0 pdbedit.
Comment 1 Lars Müller 2004-05-26 11:27:40 UTC
Created attachment 526 [details]
Readd -t|--password-from-stdin option to pdbedit of Samba 3.0
Comment 2 Lars Müller 2004-05-27 00:03:43 UTC
Patch based on the changes Carsten Hoeger <choeger at suse dot de> made for
Samba 2.2.
Comment 3 Lars Müller 2004-08-24 02:39:32 UTC
Created attachment 612 [details]
Same patch for 3.0.6.

Modified patch for Samba 3.0.6.
Comment 4 Lars Müller 2005-01-30 06:18:07 UTC
Created attachment 922 [details]
Same patch for 3.0.11rc1

How about adding this?
Comment 5 Lars Müller 2006-02-16 10:31:11 UTC
Fixed with subversion revision 13524.